evidence_request submitting additional context, reject attachments and providing evidence_information items for an existing evidence_request.Note: 1.Clients can only call submission once per evidence_request. After that, new submissions will not be accepted.2.To submit data, you’ll need the evidence ID generated for the information evidence item requested. You can find it either in the webhook payload or by retrieving the corresponding evidence_request.
evidence_information (e.g., information_counterparty_id or freeze_of_funds) is required.evidence_request.curl --location 'https://api.cobre.co/v1/evidence_requests//submission' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"submission_context": "string",
"information": [
{
"data": {},
"id": "evi_31Ci9d8hikQug3tgrNJlzS9ruLh"
}
]
}'{
"id": "evr_31Ci9YG3OLVbPum1GJxm5ohrWmH",
"reference_id": "case_1234",
"description": "string",
"expiration_date": "2019-08-24",
"status": "intiated",
"context": {
"counterparty_id": "cp_5YFeIDhNkz"
},
"submission_context": "additional information about the evidence request submission",
"evidence_requested": {
"documents": [
"doc_funds"
],
"information": [
"dp_counterparty"
]
},
"evidence_information": [
{
"id": "evi_31Ci9d8hikQug3tgrNJlzS9ruLh",
"updated_at": "2019-08-24T14:15:22Z",
"type": "dp_counterparty",
"status": "requested",
"data": {}
}
],
"evidence_documents": [
{
"id": "evi_31Ci9d8hikQug3tgrNJlzS9ruLh",
"updated_at": "2019-08-24T14:15:22Z",
"type": "doc_funds",
"status": "pending",
"upload": {
"url": "http://example.com",
"headers": {
"property1": "string",
"property2": "string"
}
}
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}